Loading...
Searching...
No Matches
ISMRMRD::ISMRMRD_NDArray Struct Reference

`#include <ismrmrd.h>`

## Public Attributes

uint16_t | version
uint16_t | data_type
uint16_t | ndim
size_t | dims [ISMRMRD_NDARRAY_MAXDIM]
void * | data

## Detailed Description

A simple N dimensional array

## Member Data Documentation

## data

void* ISMRMRD::ISMRMRD_NDArray::data

Pointer to data

## data_type

uint16_t ISMRMRD::ISMRMRD_NDArray::data_type

e.g. unsigned short, float, complex float, etc.

## dims

size_t ISMRMRD::ISMRMRD_NDArray::dims[ISMRMRD_NDARRAY_MAXDIM]

Dimensions

## ndim

uint16_t ISMRMRD::ISMRMRD_NDArray::ndim

Number of dimensions

## version

uint16_t ISMRMRD::ISMRMRD_NDArray::version

First unsigned int indicates the version

The documentation for this struct was generated from the following file:

- ismrmrd.h